<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSMETA1"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.UsageEditor']}</h1>
        <h:form>
            <gri:panel pid="globalpanel">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditUsageContent']}"/>
                </f:facet>

                <table class="rf-dt">
                    <thead class="rf-dt-thd">
                    <tr class="rf-dt-shdr">
                        <th class="rf-dt-shdr-c">
                            <b>#{messages['net.ihe.gazelle.xdstar.Name']}</b>
                        </th>
                        <th class="rf-dt-shdr-c">
                            <b>#{messages['net.ihe.gazelle.xdstar.Type']}</b>
                        </th>
                        <th class="rf-dt-shdr-c">
                            <b>#{messages['net.ihe.gazelle.xdstar.Content']}</b>
                        </th>
                        <th class="rf-dt-shdr-c">
                            <b>#{messages['net.ihe.gazelle.xdstar.Action']}</b>
                        </th>
                    </tr>
                    </thead>
                    <tbody class="rf-dt-b">
                    <tr class="rf-dt-r rf-dt-fst-r">
                        <td class="rf-dt-c">
                            <h:panelGroup style="display:block; text-align:left;">
                                <b>#{messages['net.ihe.gazelle.xdstar.Transaction']}</b>
                                <br/>
                            </h:panelGroup>
                        </td>
                        <td class="rf-dt-c">
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Transaction_2']}"/>
                        </td>
                        <td class="rf-dt-c">
                            <h:outputText value="#{mETADATAUsageEditorManager.selectedMETADATAUsage.transaction.keyword}" id="transaction_content"/>
                        </td>
                        <td class="rf-dt-c">
                            <h:panelGroup style="display:block">
                                <a4j:commandLink oncomplete="jq162('#transaction_modalpanel_editor').modal('show');"
                                                 render="formtran,transaction_modalpanel_editor">
                                    <span class="gzl-icon-pencil"/>
                                </a4j:commandLink>
                                <gdk:spacer height="5px"/>
                                <a4j:commandLink action="#{mETADATAUsageEditorManager.selectedMETADATAUsage.setTransaction(null)}"
                                                 render="transaction_content">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </td>
                    </tr>
                    <tr class="rf-dt-r">
                        <td class="rf-dt-c">
                            <h:panelGroup style="display:block; text-align:left;">
                                <b>#{messages['net.ihe.gazelle.xdstar.Affinity']}</b>
                                <br/>
                            </h:panelGroup>
                        </td>
                        <td class="rf-dt-c">
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AffinityDomain']}"/>
                        </td>
                        <td class="rf-dt-c">
                            <h:outputText value="#{mETADATAUsageEditorManager.selectedMETADATAUsage.affinity.keyword}" id="affinity_content"/>
                        </td>
                        <td class="rf-dt-c">
                            <h:panelGroup style="display:block">
                                <a4j:commandLink oncomplete="jq162('#affinity_modalpanel_editor').modal('show');"
                                                 render="formaff,affinity_modalpanel_editor">
                                    <span class="gzl-icon-pencil"/>
                                </a4j:commandLink>
                                <gdk:spacer height="5px"/>
                                <a4j:commandLink action="#{mETADATAUsageEditorManager.selectedMETADATAUsage.setAffinity(null)}"
                                                 render="affinity_content">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </td>
                    </tr>
                    <tr class="rf-dt-r">
                        <td class="rf-dt-c">
                            <h:panelGroup style="display:block; text-align:left;">
                                <b>#{messages['net.ihe.gazelle.xdstar.Description']}</b>
                                <br/>
                            </h:panelGroup>
                        </td>
                        <td class="rf-dt-c">
                            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
                        </td>
                        <td class="rf-dt-c">
                            <h:outputText id="action_content" value="#{mETADATAUsageEditorManager.selectedMETADATAUsage.action}"/>
                        </td>
                        <td class="rf-dt-c">
                            <h:panelGroup style="display:block">
                                <a4j:commandLink oncomplete="jq162('#action_modalpanel_editor').modal('show');"
                                                 render="formaction,action_modalpanel_editor">
                                    <span class="gzl-icon-pencil"/>
                                </a4j:commandLink>
                                <gdk:spacer height="5px"/>
                                <a4j:commandLink action="#{mETADATAUsageEditorManager.selectedMETADATAUsage.setAction(null)}" render="action_content">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <f:facet name="footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Back']}"
                                       action="/admin/listUsages.xhtml"/>
                    <a4j:commandButton styleClass="gzl-btn-green"
                                       value="#{messages['net.ihe.gazelle.xdstar.Save']}"
                                       action="#{mETADATAUsageEditorManager.saveSelectedUsage()}"
                                       render="messageDecoration"/>
                </f:facet>
            </gri:panel>
        </h:form>

        <h:form id="formaction">
            <gri:popupPanel id="action_modalpanel_editor">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditAction']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                           onclick="jq162('#action_modalpanel_editor').modal('hide')"
                                           execute="@this"/>
                        <a4j:commandButton styleClass="gzl-btn-green"
                                           value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                           onclick="jq162('#action_modalpanel_editor').modal('hide');"
                                           render="action_content"/>
                    </div>
                </f:facet>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Action_2']}</ui:define>
                    <ui:param name="id" value="inputId"/>
                    <h:inputText id="inputId" styleClass="form-control"
                                 value="#{mETADATAUsageEditorManager.selectedMETADATAUsage.action}"/>
                </s:decorate>
            </gri:popupPanel>
        </h:form>

        <h:form id="formtran">
            <gri:popupPanel id="transaction_modalpanel_editor" bodyStyleClass="gzl-select-modal-overflow-visible">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditTransaction']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                           onclick="jq162('#transaction_modalpanel_editor').modal('hide')"
                                           execute="@this"/>
                        <a4j:commandButton styleClass="gzl-btn-green"
                                           value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                           onclick="jq162('#transaction_modalpanel_editor').modal('hide');"
                                           render="transaction_content"/>
                    </div>
                </f:facet>
                <s:decorate id="transactiondec" template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction']}</ui:define>
                    <ui:param name="id" value="select"/>
                    <h:selectOneMenu id="select" value="#{mETADATAUsageEditorManager.selectedMETADATAUsage.transaction}"
                                     styleClass="form-control gzl-form-control gzl-select-text">
                        <s:selectItems value="#{mETADATAUsageEditorManager.getAvailableTransactions()}" var="trans"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}" label="#{trans.keyword}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </gri:popupPanel>
        </h:form>

        <h:form id="formaff">
            <gri:popupPanel id="affinity_modalpanel_editor" bodyStyleClass="gzl-select-modal-overflow-visible">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditAffinityDomain']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                           onclick="jq162('#affinity_modalpanel_editor').modal('hide')"
                                           execute="@this"/>
                        <a4j:commandButton styleClass="gzl-btn-green"
                                           value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                           onclick="jq162('#affinity_modalpanel_editor').modal('hide');"
                                           render="affinity_content"/>
                    </div>
                </f:facet>
                <s:decorate id="affinitydec" template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Affinity']}</ui:define>
                    <ui:param name="id" value="selectCar"/>
                    <h:selectOneMenu id="selectCar" value="#{mETADATAUsageEditorManager.selectedMETADATAUsage.affinity}"
                                     styleClass="form-control gzl-form-control gzl-select-text">
                        <s:selectItems value="#{mETADATAUsageEditorManager.getAvailableAffinities()}" var="aff"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}" label="#{aff.keyword}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>
